/**
* @file bridgedhairpconnecting_state.h
* @brief Declaration of BridgedHairpConnectingState class
* @date Feb. 16, 2007
*
* DIALOGIC CONFIDENTIAL
* Copyright  2007 Dialogic Corporation. All Rights Reserved.
* 
* The source code contained or described herein and all documents related to
* the source code (Material) are owned by Dialogic Corporation or its suppliers
* or licensors. Title to the Material remains with Dialogic Corporation or its
* suppliers and licensors. The Material contains trade secrets and proprietary
* and confidential information of Dialogic or its suppliers and licensors. The
* Material is protected by worldwide copyright and trade secret laws and treaty
* provisions. No part of the Material may be used, copied, reproduced,
* modified, published, uploaded, posted, transmitted, distributed, or disclosed
* in any way without Dialogic's prior express written permission.
* 
* No license under any patent, copyright, trade secret or other intellectual
* property right is granted to or conferred upon you by disclosure or delivery
* of the Materials, either expressly, by implication, inducement, estoppel or
* otherwise. Any license under such intellectual property rights must be
* express and approved by Dialogic in writing.
*/

#ifndef  _BRIDGEDHAIRPCONNECTING_STATE_H
#define  _BRIDGEDHAIRPCONNECTING_STATE_H

#include "bridgedhairpstate.h"


//*****************************************************************************
// Class: ::BridgedHairpConnectingState
// Description: This BridgedHairpState subclass is for when a BridgedHairp object
//              is waiting for the two endpoints to connect.
//*****************************************************************************
class BridgedHairpConnectingState : public BridgedHairpState
{
public:
   BridgedHairpConnectingState(BridgedHairp* pBridgedHairp);
   virtual ~BridgedHairpConnectingState();
   const char *GetStateStr() { return "CONNECTING     ";}
   E_BRIDGEDHAIRPSTATE GetState() { return CONNECTING_STATE;}
   void ProcessEvent(METAEVENT metaevent);

private:
   static const int H245_STARTED;
   static const int SIP_CONNECTED;
   static const int M3G_CONNECTED;
   static const int FULLY_CONNECTED;

   bool IsBridgedHairpFullyConnected() { return(FULLY_CONNECTED == m_StatusBitmask);}
   void ProcessEndpointConnected(METAEVENT metaevent);
};

#endif


