/**
* @file sipconnected_state.h
* @brief Declaration of SIPConnectedState
* @date Feb. 16, 2007
*
* DIALOGIC CONFIDENTIAL
* Copyright  2007 Dialogic Corporation. All Rights Reserved.
* 
* The source code contained or described herein and all documents related to
* the source code (Material) are owned by Dialogic Corporation or its suppliers
* or licensors. Title to the Material remains with Dialogic Corporation or its
* suppliers and licensors. The Material contains trade secrets and proprietary
* and confidential information of Dialogic or its suppliers and licensors. The
* Material is protected by worldwide copyright and trade secret laws and treaty
* provisions. No part of the Material may be used, copied, reproduced,
* modified, published, uploaded, posted, transmitted, distributed, or disclosed
* in any way without Dialogic's prior express written permission.
* 
* No license under any patent, copyright, trade secret or other intellectual
* property right is granted to or conferred upon you by disclosure or delivery
* of the Materials, either expressly, by implication, inducement, estoppel or
* otherwise. Any license under such intellectual property rights must be
* express and approved by Dialogic in writing.
*/

#ifndef  _SIPCONNECTED_STATE_H
#define  _SIPCONNECTED_STATE_H

#include "sipepstate.h"

//*****************************************************************************
// Class: ::SIPConnectedState
// Description: This SIPEPState class handles events and commands when SIP call
//              is connected.
//*****************************************************************************
class SIPConnectedState : public SIPEPState
{
public:
   SIPConnectedState(SIPEndpoint* pSIPEndpoint);
   ~SIPConnectedState();
   virtual void ProcessEvent(METAEVENT metaevent);
   virtual void ProcessDisconnect(METAEVENT metaevent);
   virtual void Shutdown();
   virtual const char *GetStateStr() { return "CONNECTED      ";}
   virtual E_SIPEPSTATE GetState() { return CONNECTED_STATE;}

private:
   void ProcessIFrameUpdate(METAEVENT metaevent);
   void ProcessExtensionEvent(METAEVENT metaevent);

   SIPEndpoint                *m_pSIPEndpoint;
};

#endif


